org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface NavigationRow

All Superinterfaces:
  Row

All Known Subinterfaces:
  EObjectQueryRow, PrimitiveTypeQueryRow

    public interface NavigationRow
    extends Row

A representation of the model object 'Query Row'. A Row dedicated to the display of queryResult

The following features are supported:

- `Query Result`

See Also:
  `TablePackage.getNavigationRow()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`ETypedElementResult` `getQueryResult()` Returns the value of the 'Query Result' reference.
`void` `setQueryResult(ETypedElementResult value)` Sets the value of the '`Query Result`' reference.

### Methods inherited from interface org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.Row

`getElement, getHeight, setElement, setHeight`

### Method Detail

#### getQueryResult

    ETypedElementResult getQueryResult()

Returns the value of the 'Query Result' reference.

If the meaning of the 'Query Result' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Query Result' reference.
See Also:
  `setQueryResult(ETypedElementResult)`, `TablePackage.getNavigationRow_QueryResult()`
Generated:
Model:

#### setQueryResult

    void setQueryResult(ETypedElementResult value)

Sets the value of the '`Query Result`' reference.

Parameters:
  `value` - the new value of the 'Query Result' reference.
See Also:
  `getQueryResult()`
Generated: